Description

Es gibt etliche DICOM-VRs, deren L&dngenangabe bei Explicit VR nur mit 2 Bytes codiert wird, so dass die Werte < 64KByte
umfassen missen. Dies ist ein Problem u.a. in der Strahlentherapie, wo DS-Elemente mit sehr langen Listen auftreten. Derzeit
verweigert DCMTK das Schreiben/Versenden in Explicit VR, wenn ein solches Uberlanges Element auftritt, nur das
Schreiben/Versenden in Implicit VR ist dann mdglich.

Das ist insofern "hasslich”, als dies Netzwerkibertragungen zum Scheitern bringen kann und verhindert, dass solche Objekte auf
CD-Rs geschrieben werden kdnnen.

Bendtigt wird eine Option, bei der dcmdata solche gro3en Datenelemente als "UN" codiert und die Werte als Implicit VR Little Endian
im Datenstrom ablegt - der Code flr die "Gegenrichtung", d.h. die Umwandlung eines UN zurlck in die "richtige" VR, ist bereits
vorhanden, wenn auch per Default ausgeschaltet. Dieses Verhalten muss dann natirlich auch bei der Berechnung von Sequenz-
und Gruppenlangen berlcksichtigt werden.

History

#1 - 2015-04-29 12:04 - J6rg Riesmeier

- Tracker changed from Feature to Conformance
- Description updated

- Category set to Library and Apps

- Target version set to 3.6.1+

See CP-1066 (currently in status "VP": ftp://medical.nema.org/medical/dicom/cp/cp1066_vp.pdf)

#2 - 2015-09-17 13:31 - Jorg Riesmeier
- Subject changed from Schreiben "groBer" Datenelemente als UN in Explicit VR to Writing "large element values" with VR=UN in Explicit VR

It's now approved for final text: ftp:/medical.nema.org/medical/dicom/final/cp1066_ft.pdf

#3 - 2016-11-16 15:16 - Marco Eichelberg

- Assignee set to Marco Eichelberg

#4 - 2017-03-24 12:51 - Marco Eichelberg

- Target version changed from 3.6.1+ to 3.6.2

#5 - 2017-03-24 12:56 - Marco Eichelberg

- Priority changed from Normal to Low

#6 - 2017-05-01 16:55 - Marco Eichelberg
- File very_long_element_values.zip added

- % Done changed from 0 to 30

The attached sample file can be used to demonstrate the effect. This is an image encoded in implicit VR that has been modified
to contain two attributes with value lengths > 64kByte, one with binary data (US) and one with text data (DS).
#7 - 2017-05-01 16:56 - Marco Eichelberg
- Status changed from New to Closed

- % Done changed from 30 to 100

Closed by commit #bb022b4.

Files
very_long_element_values.zip 27.6 KB 2017-05-01 Marco Eichelberg
